<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Palindrome</title>
</head>
<body>
    <center>
        <header>
            <h1>Palindrome or Not</h1>
        </header>

        <main>
            <div>
                <label>Enter the word</label>
                <input type="text" id="text">
            </div><br>
            <div>
                <button onclick="reverse()" id="reverse">Reverse String</button>
                <button onclick="palindrome()" id="palindrome">Check whether Palindrom !!</button>
            </div><br>
            <div>
                <p id="ans"></p>
            </div>
            <div>
                <p id="ansPalind"></p>
            </div>
        </main>
    </center>

    <script src="./mainPalindrome.js">
        // var revStr='/reverseString.mjs';
        // var palind='/isPalindrome.mjs';

        // function reverse(){
        //     var str=document.getElementById("text").value;
        //     import (revStr).then(module => document.getElementById("ans").innerHTML=module.reverseString(str));
        // }

        // function palindrome(){
        //     var str=document.getElementById("text").value;
        //     import (palind).then(module => {
        //         if(module.isPalindrome(str)){
        //             document.getElementById("ansPalind").innerHTML="is a Palindrome";
        //         }else{
        //             document.getElementById("ansPalind").innerHTML="is not a Palindrome";
        //         }
        //     });
        // }
    </script>

</body>
</html>